Loading...
Searching...
No Matches
DRTDVHSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTDVHSequence::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getDVHData (OFString &value, const signed long pos=0) const
| get DVHData (3004,0058)
OFCondition | getDVHData (Float64 &value, const unsigned long pos=0) const
| get DVHData (3004,0058)
OFCondition | getDVHData (OFVector< Float64 > &value) const
| get DVHData (3004,0058)
OFCondition | getDVHDoseScaling (OFString &value, const signed long pos=0) const
| get DVHDoseScaling (3004,0052)
OFCondition | getDVHDoseScaling (Float64 &value, const unsigned long pos=0) const
| get DVHDoseScaling (3004,0052)
OFCondition | getDVHMaximumDose (OFString &value, const signed long pos=0) const
| get DVHMaximumDose (3004,0072)
OFCondition | getDVHMaximumDose (Float64 &value, const unsigned long pos=0) const
| get DVHMaximumDose (3004,0072)
OFCondition | getDVHMeanDose (OFString &value, const signed long pos=0) const
| get DVHMeanDose (3004,0074)
OFCondition | getDVHMeanDose (Float64 &value, const unsigned long pos=0) const
| get DVHMeanDose (3004,0074)
OFCondition | getDVHMinimumDose (OFString &value, const signed long pos=0) const
| get DVHMinimumDose (3004,0070)
OFCondition | getDVHMinimumDose (Float64 &value, const unsigned long pos=0) const
| get DVHMinimumDose (3004,0070)
OFCondition | getDVHNumberOfBins (OFString &value, const signed long pos=0) const
| get DVHNumberOfBins (3004,0056)
OFCondition | getDVHNumberOfBins (Sint32 &value, const unsigned long pos=0) const
| get DVHNumberOfBins (3004,0056)
OFCondition | getDVHType (OFString &value, const signed long pos=0) const
| get DVHType (3004,0001)
OFCondition | getDVHVolumeUnits (OFString &value, const signed long pos=0) const
| get DVHVolumeUnits (3004,0054)
OFCondition | getDoseType (OFString &value, const signed long pos=0) const
| get DoseType (3004,0004)
OFCondition | getDoseUnits (OFString &value, const signed long pos=0) const
| get DoseUnits (3004,0002)
DRTDVHReferencedROISequence & | getDVHReferencedROISequence ()
| get DVHReferencedROISequence (3004,0060)
const DRTDVHReferencedROISequence & | getDVHReferencedROISequence () const
| get DVHReferencedROISequence (3004,0060)
OFCondition | setDVHData (const OFString &value, const OFBool check=OFTrue)
| set DVHData (3004,0058)
OFCondition | setDVHDoseScaling (const OFString &value, const OFBool check=OFTrue)
| set DVHDoseScaling (3004,0052)
OFCondition | setDVHMaximumDose (const OFString &value, const OFBool check=OFTrue)
| set DVHMaximumDose (3004,0072)
OFCondition | setDVHMeanDose (const OFString &value, const OFBool check=OFTrue)
| set DVHMeanDose (3004,0074)
OFCondition | setDVHMinimumDose (const OFString &value, const OFBool check=OFTrue)
| set DVHMinimumDose (3004,0070)
OFCondition | setDVHNumberOfBins (const OFString &value, const OFBool check=OFTrue)
| set DVHNumberOfBins (3004,0056)
OFCondition | setDVHType (const OFString &value, const OFBool check=OFTrue)
| set DVHType (3004,0001)
OFCondition | setDVHVolumeUnits (const OFString &value, const OFBool check=OFTrue)
| set DVHVolumeUnits (3004,0054)
OFCondition | setDoseType (const OFString &value, const OFBool check=OFTrue)
| set DoseType (3004,0004)
OFCondition | setDoseUnits (const OFString &value, const OFBool check=OFTrue)
| set DoseUnits (3004,0002)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | DVHData
| DVHData (3004,0058) vr=DS, vm=2-2n, type=1.
DcmDecimalString | DVHDoseScaling
| DVHDoseScaling (3004,0052) vr=DS, vm=1, type=1.
DcmDecimalString | DVHMaximumDose
| DVHMaximumDose (3004,0072) vr=DS, vm=1, type=3.
DcmDecimalString | DVHMeanDose
| DVHMeanDose (3004,0074) vr=DS, vm=1, type=3.
DcmDecimalString | DVHMinimumDose
| DVHMinimumDose (3004,0070) vr=DS, vm=1, type=3.
DcmIntegerString | DVHNumberOfBins
| DVHNumberOfBins (3004,0056) vr=IS, vm=1, type=1.
DRTDVHReferencedROISequence | DVHReferencedROISequence
| DVHReferencedROISequence (3004,0060) vr=SQ, vm=1, type=1.
DcmCodeString | DVHType
| DVHType (3004,0001) vr=CS, vm=1, type=1.
DcmCodeString | DVHVolumeUnits
| DVHVolumeUnits (3004,0054) vr=CS, vm=1, type=1.
DcmCodeString | DoseType
| DoseType (3004,0004) vr=CS, vm=1, type=1.
DcmCodeString | DoseUnits
| DoseUnits (3004,0002) vr=CS, vm=1, type=1.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTDVHSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTDVHSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getDoseType()

OFCondition DRTDVHSequence::Item::getDoseType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DoseType (3004,0004)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDoseUnits()

OFCondition DRTDVHSequence::Item::getDoseUnits | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DoseUnits (3004,0002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHData() [1/3]

OFCondition DRTDVHSequence::Item::getDVHData | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get DVHData (3004,0058)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHData() [2/3]

OFCondition DRTDVHSequence::Item::getDVHData | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DVHData (3004,0058)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHData() [3/3]

OFCondition DRTDVHSequence::Item::getDVHData | ( | OFVector< Float64 > & | value | ) | const

get DVHData (3004,0058)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHDoseScaling() [1/2]

OFCondition DRTDVHSequence::Item::getDVHDoseScaling | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get DVHDoseScaling (3004,0052)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHDoseScaling() [2/2]

OFCondition DRTDVHSequence::Item::getDVHDoseScaling | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DVHDoseScaling (3004,0052)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHMaximumDose() [1/2]

OFCondition DRTDVHSequence::Item::getDVHMaximumDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get DVHMaximumDose (3004,0072)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHMaximumDose() [2/2]

OFCondition DRTDVHSequence::Item::getDVHMaximumDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DVHMaximumDose (3004,0072)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHMeanDose() [1/2]

OFCondition DRTDVHSequence::Item::getDVHMeanDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get DVHMeanDose (3004,0074)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHMeanDose() [2/2]

OFCondition DRTDVHSequence::Item::getDVHMeanDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DVHMeanDose (3004,0074)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHMinimumDose() [1/2]

OFCondition DRTDVHSequence::Item::getDVHMinimumDose | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get DVHMinimumDose (3004,0070)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHMinimumDose() [2/2]

OFCondition DRTDVHSequence::Item::getDVHMinimumDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DVHMinimumDose (3004,0070)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHNumberOfBins() [1/2]

OFCondition DRTDVHSequence::Item::getDVHNumberOfBins | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DVHNumberOfBins (3004,0056)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHNumberOfBins() [2/2]

OFCondition DRTDVHSequence::Item::getDVHNumberOfBins | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get DVHNumberOfBins (3004,0056)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHReferencedROISequence() [1/2]

DRTDVHReferencedROISequence & DRTDVHSequence::Item::getDVHReferencedROISequence | ( |  | ) |

inline

get DVHReferencedROISequence (3004,0060)

Returns
  reference to sequence element

References DVHReferencedROISequence.

## getDVHReferencedROISequence() [2/2]

const DRTDVHReferencedROISequence & DRTDVHSequence::Item::getDVHReferencedROISequence | ( |  | ) | const

inline

get DVHReferencedROISequence (3004,0060)

Returns
  const reference to sequence element

References DVHReferencedROISequence.

## getDVHType()

OFCondition DRTDVHSequence::Item::getDVHType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DVHType (3004,0001)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getDVHVolumeUnits()

OFCondition DRTDVHSequence::Item::getDVHVolumeUnits | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DVHVolumeUnits (3004,0054)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## isEmpty()

OFBool DRTDVHSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTDVHSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTDVHSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTDVHSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setDoseType()

OFCondition DRTDVHSequence::Item::setDoseType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DoseType (3004,0004)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDoseUnits()

OFCondition DRTDVHSequence::Item::setDoseUnits | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DoseUnits (3004,0002)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDVHData()

OFCondition DRTDVHSequence::Item::setDVHData | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DVHData (3004,0058)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (2-2n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDVHDoseScaling()

OFCondition DRTDVHSequence::Item::setDVHDoseScaling | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DVHDoseScaling (3004,0052)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDVHMaximumDose()

OFCondition DRTDVHSequence::Item::setDVHMaximumDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DVHMaximumDose (3004,0072)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDVHMeanDose()

OFCondition DRTDVHSequence::Item::setDVHMeanDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DVHMeanDose (3004,0074)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDVHMinimumDose()

OFCondition DRTDVHSequence::Item::setDVHMinimumDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DVHMinimumDose (3004,0070)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDVHNumberOfBins()

OFCondition DRTDVHSequence::Item::setDVHNumberOfBins | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DVHNumberOfBins (3004,0056)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDVHType()

OFCondition DRTDVHSequence::Item::setDVHType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DVHType (3004,0001)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setDVHVolumeUnits()

OFCondition DRTDVHSequence::Item::setDVHVolumeUnits | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DVHVolumeUnits (3004,0054)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTDVHSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtdvhs.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0